org.apache.solr.cloud

## Class AbstractDistribZkTestBase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.solr.SolrTestCaseJ4
      - - org.apache.solr.BaseDistributedSearchTestCase
        - - org.apache.solr.cloud.AbstractDistribZkTestBase

- Direct Known Subclasses:
    AbstractFullDistribZkTestBase

      public abstract class AbstractDistribZkTestBase
      extends BaseDistributedSearchTestCase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.BaseDistributedSearchTestCase

      `BaseDistributedSearchTestCase.RandDate, BaseDistributedSearchTestCase.RandVal, BaseDistributedSearchTestCase.ShardsFixed, BaseDistributedSearchTestCase.ShardsRepeat, BaseDistributedSearchTestCase.ShardsRepeatRule`

    - ### Nested classes/interfaces inherited from class org.apache.solr.SolrTestCaseJ4

      `SolrTestCaseJ4.CloudSolrClientBuilder, SolrTestCaseJ4.Doc, SolrTestCaseJ4.Fld, SolrTestCaseJ4.FldType, SolrTestCaseJ4.FVal, SolrTestCaseJ4.IRange, SolrTestCaseJ4.IVals, SolrTestCaseJ4.IValsPercent, SolrTestCaseJ4.SuppressObjectReleaseTracker, SolrTestCaseJ4.SuppressSSL, SolrTestCaseJ4.SVal, SolrTestCaseJ4.Vals, SolrTestCaseJ4.XmlDoc`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `org.apache.lucene.util.LuceneTestCase.AwaitsFix, org.apache.lucene.util.LuceneTestCase.BadApple, org.apache.lucene.util.LuceneTestCase.Monster, org.apache.lucene.util.LuceneTestCase.Nightly, org.apache.lucene.util.LuceneTestCase.Slow, org.apache.lucene.util.LuceneTestCase.SuppressCodecs, org.apache.lucene.util.LuceneTestCase.SuppressFileSystems, org.apache.lucene.util.LuceneTestCase.SuppressFsync, org.apache.lucene.util.LuceneTestCase.SuppressReproduceLine, org.apache.lucene.util.LuceneTestCase.SuppressSysoutChecks, org.apache.lucene.util.LuceneTestCase.SuppressTempFileChecks, org.apache.lucene.util.LuceneTestCase.ThrowingRunnable, org.apache.lucene.util.LuceneTestCase.Weekly`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DEFAULT_COLLECTION`
    `protected ZkTestServer` | `zkServer`

    - ### Fields inherited from class org.apache.solr.BaseDistributedSearchTestCase

      `clientConnectionTimeout, clients, clientSoTimeout, context, controlClient, controlJetty, deadServers, fieldNames, flags, FUZZY, handle, id, jettys, nThreads, ORDERED, r, randVals, rdate, rdouble, repeatRule, rfloat, rint, rlong, shards, shardsArr, SKIP, SKIPVAL, stress, testDir, UNORDERED, useExplicitNodeNames, verifyStress`

    - ### Fields inherited from class org.apache.solr.SolrTestCaseJ4

      `configString, CORE_PROPERTIES_FILENAME, DEFAULT_CONNECTION_TIMEOUT, DEFAULT_TEST_COLLECTION_NAME, DEFAULT_TEST_CORENAME, h, hdfsDataDir, initCoreDataDir, lrf, ONE_ONE, schemaString, solrClassRules, solrConfig, solrTestRules, sslConfig, SYSTEM_PROPERTY_SOLR_TESTS_MERGEPOLICY, SYSTEM_PROPERTY_SOLR_TESTS_MERGEPOLICYFACTORY, SYSTEM_PROPERTY_SOLR_TESTS_USEMERGEPOLICY, SYSTEM_PROPERTY_SOLR_TESTS_USEMERGEPOLICYFACTORY, testSolrHome, ZERO_ONE, ZERO_TWO`

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDistribZkTestBase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `assertAllActive(String collection, org.apache.solr.common.cloud.ZkStateReader zkStateReader)`
    `static void` | `beforeThisClass()`
    `protected void` | `createServers(int numShards)`
    `void` | `distribSetUp()`
    `void` | `distribTearDown()`
    `protected String` | `getCloudSchemaFile()`
    `protected String` | `getCloudSolrConfig()`
    `protected void` | `printLayout()`
    `protected void` | `restartZk(int pauseMillis)`
    `static void` | `verifyReplicaStatus(org.apache.solr.common.cloud.ZkStateReader reader, String collection, String shard, String coreNodeName, org.apache.solr.common.cloud.Replica.State expectedState)`
    `static void` | `waitForCollectionToDisappear(String collection, org.apache.solr.common.cloud.ZkStateReader zkStateReader, boolean verbose, boolean failOnTimeout, int timeoutSeconds)`
    `protected void` | `waitForRecoveriesToFinish(String collection, org.apache.solr.common.cloud.ZkStateReader zkStateReader, boolean verbose)`
    `protected void` | `waitForRecoveriesToFinish(String collection, org.apache.solr.common.cloud.ZkStateReader zkStateReader, boolean verbose, boolean failOnTimeout)`
    `static void` | `waitForRecoveriesToFinish(String collection, org.apache.solr.common.cloud.ZkStateReader zkStateReader, boolean verbose, boolean failOnTimeout, int timeoutSeconds)`

    - ### Methods inherited from class org.apache.solr.BaseDistributedSearchTestCase

      `add, addFields, addRandFields, buildUrl, clearHostContext, commit, compare, compare, compare, compare, compare, compare, compare1, compareResponses, compareSolrResponses, createControlJetty, createJetty, createJetty, createJetty, createJetty, createNewSolrClient, del, del, delQ, destroyServers, eq, fixShardCount, flags, getExtraRequestFilters, getExtraServlets, getFieldNames, getRandFields, getRandValues, getShardCount, getShardsString, getSolrHome, getSolrXml, index_specific, index, indexDoc, indexDoc, indexr, initHostContext, initialize, query, query, query, query, queryAndCompare, queryAndCompare, queryServer, seedSolrHome, setDistributedParams, setupJettySolrHome, validateControlData`

    - ### Methods inherited from class org.apache.solr.SolrTestCaseJ4

      `add, addAndGetVersion, adoc, adoc, assertFailedU, assertFailedU, assertFieldValues, assertJQ, assertJQ, assertQ, assertQ, assertQEx, assertQEx, assertQEx, assertSolrInputFieldEquals, assertU, assertU, assertXmlFile, buildJettyConfig, buildUrl, chooseMPForMP, clearIndex, commit, compareSolrDocument, compareSolrDocumentList, compareSolrInputDocument, configset, copyMinConf, copyMinConf, copyMinFullSetup, copySolrHomeToTemp, createComparator, createComparator, createCore, createCoreContainer, createCoreContainer, createCoreContainer, createDefaultCoreContainer, createDoc, createSort, deleteAndGetVersion, deleteByQueryAndGetVersion, deleteCore, delI, delQ, doc, endTrackingSearchers, getClassName, getCloudSolrClient, getCloudSolrClient, getCloudSolrClient, getCloudSolrClient, getConcurrentUpdateSolrClient, getConcurrentUpdateSolrClient, getFile, getHttpSolrClient, getHttpSolrClient, getHttpSolrClient, getHttpSolrClient, getLBHttpSolrClient, getLBHttpSolrClient, getRootCause, getSchemaFile, getSimpleClassName, getSolrConfigFile, getWrappedException, hasInitException, hasInitException, ignoreException, indexDocs, initClassLogLevels, initCore, initCore, initCore, initCore, initMethodLogLevels, invertField, isSSLMode, JQ, json, json, json, jsonAdd, jsonDelId, jsonDelQ, map, newRandomConfig, optimize, params, postSetUp, preTearDown, randomDate, randomSkewedDate, randomXmlUsableUnicodeString, req, req, req, resetExceptionIgnores, resetFactory, restoreMethodLogLevels, sdoc, sdocs, setUp, setupNoCoreTest, setupTestCases, skewed, startTrackingSearchers, systemClearPropertySolrTestsMergePolicy, systemClearPropertySolrTestsMergePolicyFactory, systemSetPropertySolrTestsMergePolicy, systemSetPropertySolrTestsMergePolicyFactory, tearDown, teardownTestCases, TEST_HOME, TEST_PATH, toJSON, unchooseMPForMP, unIgnoreException, updateJ, useFactory, waitForWarming, whitespaceMockTokenizer, whitespaceMockTokenizer, writeCoreProperties, writeCoreProperties`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertFieldsEquals, assertFieldStatisticsEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, expectThrows, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_COLLECTION

          protected static final String DEFAULT_COLLECTION

      See Also:
        Constant Field Values

    - #### zkServer

          protected ZkTestServer zkServer

  - ### Constructor Detail

    - #### AbstractDistribZkTestBase

          public AbstractDistribZkTestBase()

  - ### Method Detail

    - #### beforeThisClass

          public static void beforeThisClass()
                                      throws Exception

      Throws:
        `Exception`

    - #### distribSetUp

          public void distribSetUp()
                            throws Exception

      Overrides:
        `distribSetUp` in class `BaseDistributedSearchTestCase`
      Throws:
        `Exception`

    - #### getCloudSolrConfig

          protected String getCloudSolrConfig()

    - #### getCloudSchemaFile

          protected String getCloudSchemaFile()

    - #### createServers

          protected void createServers(int numShards)
                                throws Exception

      Overrides:
        `createServers` in class `BaseDistributedSearchTestCase`
      Throws:
        `Exception`

    - #### waitForRecoveriesToFinish

          protected void waitForRecoveriesToFinish(String collection,
                                                   org.apache.solr.common.cloud.ZkStateReader zkStateReader,
                                                   boolean verbose)
                                            throws Exception

      Throws:
        `Exception`

    - #### waitForRecoveriesToFinish

          protected void waitForRecoveriesToFinish(String collection,
                                                   org.apache.solr.common.cloud.ZkStateReader zkStateReader,
                                                   boolean verbose,
                                                   boolean failOnTimeout)
                                            throws Exception

      Throws:
        `Exception`

    - #### waitForRecoveriesToFinish

          public static void waitForRecoveriesToFinish(String collection,
                                                       org.apache.solr.common.cloud.ZkStateReader zkStateReader,
                                                       boolean verbose,
                                                       boolean failOnTimeout,
                                                       int timeoutSeconds)
                                                throws Exception

      Throws:
        `Exception`

    - #### waitForCollectionToDisappear

          public static void waitForCollectionToDisappear(String collection,
                                                          org.apache.solr.common.cloud.ZkStateReader zkStateReader,
                                                          boolean verbose,
                                                          boolean failOnTimeout,
                                                          int timeoutSeconds)
                                                   throws Exception

      Throws:
        `Exception`

    - #### verifyReplicaStatus

          public static void verifyReplicaStatus(org.apache.solr.common.cloud.ZkStateReader reader,
                                                 String collection,
                                                 String shard,
                                                 String coreNodeName,
                                                 org.apache.solr.common.cloud.Replica.State expectedState)
                                          throws InterruptedException

      Throws:
        `InterruptedException`

    - #### assertAllActive

          protected static void assertAllActive(String collection,
                                                org.apache.solr.common.cloud.ZkStateReader zkStateReader)
                                         throws org.apache.zookeeper.KeeperException,
                                                InterruptedException

      Throws:
        `org.apache.zookeeper.KeeperException`
        `InterruptedException`

    - #### distribTearDown

          public void distribTearDown()
                               throws Exception

      Overrides:
        `distribTearDown` in class `BaseDistributedSearchTestCase`
      Throws:
        `Exception`

    - #### printLayout

          protected void printLayout()
                              throws Exception

      Throws:
        `Exception`

    - #### restartZk

          protected void restartZk(int pauseMillis)
                            throws Exception

      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.